-- ==============================================================

--                                           MagicRepair 2.5.2

--                                     File: MagicRepairConfig.lua

-- ==============================================================

local L = LibStub("AceLocale-3.0"):GetLocale("MagicRepair")
setmetatable( L, { __index = function(t, text) return text end })

TextGameVersion = L["Game version"].." : "..GameVersion
TextVersion = "MagicRepair : "..NumVersion.."                                                          "..L["Created by"].." : \""..Author.."\""

-- ---------------------------- LOCAL FUNCTION ---------------------------------------

local function ChatMsg(s, force, r, g, b)
   if (force and type(force) ~= "boolean") then
      r, g, b, force = force, r, g, nil
   end 
   if (not MRSilent or force) then
      DEFAULT_CHAT_FRAME:AddMessage(s, r, g, b)
   end
end

-- -----------------------------------------------------------------------------------------------

function MRConfig_OnLoad(self)

	panel = MagicRepairConfig;
	panel.name = "MagicRepair";
	InterfaceOptions_AddCategory(panel);
	
end

function MRConfig_OnShow(self)

	getglobal(self:GetName().."CheckButtonOff"):SetChecked(MROff);
	getglobal(self:GetName().."CheckButtonSilent"):SetChecked(MRSilent);
	getglobal(self:GetName().."CheckButtonSilentRepair"):SetChecked(MRSilentRepair);
	getglobal(self:GetName().."CheckButtonOwnonly"):SetChecked(MROwnonly);
	getglobal(self:GetName().."CheckButtonOwn"):SetChecked(MROwn);
	getglobal(self:GetName().."CheckButtonGuild"):SetChecked(MRGuild);
	getglobal(self:GetName().."CheckButtonGuildonly"):SetChecked(MRGuildonly);
	getglobal(self:GetName().."GameVersion"):SetText(TextGameVersion);
	getglobal(self:GetName().."Version"):SetText(TextVersion);

end

function MRConfigOption_OnClick(self)

	if (self:GetName() == (self:GetParent():GetName().."CheckButtonOff" ) ) then
		MRToggleOff();
		MRChatConfig();
		
	elseif (self:GetName() == (self:GetParent():GetName().."CheckButtonSilent" ) ) then
		MRToggleSilent();
		
	elseif (self:GetName() == (self:GetParent():GetName().."CheckButtonSilentRepair" ) ) then
		MRToggleSilentRepair();
	
	elseif (self:GetName() == (self:GetParent():GetName().."CheckButtonOwnonly" ) ) then
		MRToggleOwnonly();
		MRChatConfig();
	
	elseif ( IsInGuild() and CanGuildBankRepair() ) then
	
		if (self:GetName() == (self:GetParent():GetName().."CheckButtonOwn" ) ) then
			MRToggleOwn();
			MRChatConfig();
		
		elseif (self:GetName() == (self:GetParent():GetName().."CheckButtonGuild" ) ) then
			MRToggleGuild();
			MRChatConfig();
		
		elseif (self:GetName() == (self:GetParent():GetName().."CheckButtonGuildonly" ) ) then
			MRToggleGuildonly();
			MRChatConfig();
			
		end
		
	else
	
		if ( IsInGuild() ) then
			ChatMsg("|cFFF88017MagicRepair|r : |cFFFF0000" ..L["You are not authorized to repair your guild !"].."|r", true);
		else
			ChatMsg("|cFFF88017MagicRepair|r : |cFFFF0000" ..L["You are not in a guild !"].."|r", true);
		end
		
	end
	
	MagicRepairConfig:Hide();
	MagicRepairConfig:Show();

end

function MRConfigText(self)

	if (self:GetName() == (self:GetParent():GetName().."CheckButtonOff" ) ) then
		getglobal(self:GetName().."Text"):SetText("-"..L[" MagicRepair  ON"]);
	end
	
	if (self:GetName() == (self:GetParent():GetName().."CheckButtonSilent" ) ) then
		getglobal(self:GetName().."Text"):SetText("-"..L[" Silent mode"]);
	end
	
	if (self:GetName() == (self:GetParent():GetName().."CheckButtonSilentRepair" ) ) then
		getglobal(self:GetName().."Text"):SetText("- "..L["View the amount of reparations"]);
	end
	
	if (self:GetName() == (self:GetParent():GetName().."CheckButtonOwnonly" ) ) then
		getglobal(self:GetName().."Text"):SetText("- "..L["Repair only from own money"]);
	end
	
	if (self:GetName() == (self:GetParent():GetName().."CheckButtonOwn" ) ) then
		getglobal(self:GetName().."Text"):SetText("- "..L["Try to repair from own money first, repair from guild bank if fails"]);
	end
	
	if (self:GetName() == (self:GetParent():GetName().."CheckButtonGuild" ) ) then
		getglobal(self:GetName().."Text"):SetText("- "..L["Try to repair from guild bank first, repair from own money if fails"]);
	end
	
	if (self:GetName() == (self:GetParent():GetName().."CheckButtonGuildonly" ) ) then
		getglobal(self:GetName().."Text"):SetText("- "..L["Repair only from guild bank"]);
	end
	
end